allReactiontypes <-
function(model=NULL, gvectors=NULL, exclude_blocked=FALSE, zerosSet=FALSE){
	
	if(class(model)!="modelorg") stop("need modelorg Object")
	
	if(is.null(gvectors)) stop("no vectors given")
	
	message("::: looking for blocked reactions")
	blocked <- blocked_reactions(gvectors, zerosSet=zerosSet)
	message("::: getting irreversible reactions")
	irr <- irr_reactions(model)
	message("::: looking for pseudo-irreversible reactions")
	prev <- pseudo_irrev_reactions(gvectors, model=model, blocked=blocked, zerosSet=zerosSet)
	message("::: getting full reversible reactions")
	frev <- frev_reactions(model, prev)
	
	if(exclude_blocked){
		message("::: excluding blocked reactions")
		irr <- setdiff(irr, blocked)
		prev <- setdiff(prev, blocked)
		frev <- setdiff(frev, blocked)

	}
	
	return( list(
				blocked = blocked,
				irr = irr,
				prev = prev,
				frev = frev
				)
			)
}

