buildCytoscapeNAFiles <-
function(model=NULL, reactSets=NULL, blocked=NULL, fileprefix=NULL){
	
	if(is.null(reactSets) || is.null(file)) stop("both arguments have to be given!")
	if(class(model)!="modelorg") stop("need modelorg Object")
	
	b <- 51*(0:5)
	colors <- rbind(sort(rep(b,6*6)),sort(rep(b,6)), b)
	coloroffset <- 15
	
	file <- paste(fileprefix, "fillColor.NA", sep="_")
	
	cat("node.fillColor (class=java.lang.String)\n", file=file, append=FALSE)
	
	for(i in reactSets){
	
		coloroffset <- (coloroffset + 10)	%% 216
		
		color <- paste(colors[,coloroffset], sep="", collapse=",")
		
		for(j in i){
		
			#produce this line: R_EX_h_e_ = 0,0,204
			cat("R_", gsub("[^A-Za-z0-9]", "_", react_id(model)[j]), " = ",color,"\n" , file=file, append=TRUE, sep="")
			
		}
	}
	
	# make blocked reactions in red color
	if(!is.null(blocked)){
		for( i in blocked){
			cat("R_", gsub("[^A-Za-z0-9]", "_", react_id(model)[i]), " = 255,0,0\n" , file=file, append=TRUE, sep="")
		}
	
	}
	
	
	
	file <- paste(fileprefix, "opacity.NA", sep="_")	
	
	cat("node.opacity (class=java.lang.String)\n", file=file, append=FALSE)
	
	for(i in c(unique(unlist(reactSets)), blocked) ){
		cat("R_", gsub("[^A-Za-z0-9]", "_", react_id(model)[i]), " = 255\n" , file=file, append=TRUE, sep="")
	
	}
}

