calcGeneratingVectorsFromModelorg <-
function(model=NULL, setObjectiveReactionToZero=FALSE){

	if(class(model)!="modelorg") stop("need modelorg Object")
	
	mat <- S(model)
	
	if(setObjectiveReactionToZero){
		
		# identify the 'objective reaction'
		obj_react <- which(obj_coef(model)!=0)
		
		# there should exactly be one 'objective reaction'
		if(length(obj_react)==0) message("WARNING: no reaction to set to zero")
		
		if(length(obj_react)>1) message("WARNING: more than one reaction set to zero")
		
		message("setting objective reaction to zero")
		# set the colum of this reaction to zero
		mat[,obj_react] <- 0
	}
	
	# add the Constrains to the matrix, define rows with =0.
	erg <- calcGeneratingVectors(addConstrains2Matrix(mat,  irr_reactions(model)), 1:met_num(model))
	
	#return only the result matrix with the generating vectors
	return(erg[[1]]$output)	
	
}

