\name{addConstrains2Matrix}
\alias{addConstrains2Matrix}
\title{
adds special lines for constraining the reactionbounds to the S matrix.
}
\description{
This function adds special lines to the \code{S} matrix in order to constrain the reactions, which should have only positive flux values.
}
\usage{
addConstrains2Matrix(S = NULL, reacts = NULL)
}
\arguments{
  \item{S}{
		a normal S matrix from a modelorg object
}
  \item{reacts}{
		a vector containing the reactions to be constraint
}
}
\details{
for each reaction in \code{reacts} there will be added an additional row to the matrix, where in the to the reaction belonging column is a \eqn{-1}.
}
\value{
the new matrix containing the new rows.
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}
\note{
in normal operation it is not nessesary to call this function by the user.
}

\examples{
addConstrains2Matrix(S = diag(4), reacts = c(1, 2) )
}

\keyword{ constrains }
