\name{allReactiontypes}
\alias{allReactiontypes}
\title{
identify all reactiontypes
}
\description{
calculates blocked, irreversible, fullreversible and pseudoirreversible reations in one step using an existing set of generating vectors.
}
\usage{
allReactiontypes(model = NULL, gvectors = NULL,
			exclude_blocked = FALSE, zerosSet = FALSE)
}
\arguments{
  \item{model}{
		a valid \code{modelorg} object
}
  \item{gvectors}{
		a set of generating vectors.
}
  \item{exclude_blocked}{
		should blocked reactions be removed from the resulting sets?
}
  \item{zerosSet}{
		are nearly zero values set as \code{0}? if gvectors is created by \code{createSparseMatrix} this should be set as \code{TRUE}
}
}
\details{

		this functions are called and the results are returned as a \code{list}

		\code{blocked_reactions}, \code{irr_reactions}, \code{pseudo_irrev_reactions}, \code{frev_reactions}
		
		
}
\value{
all listelements are integer vectors:

	\item{blocked}{blocked reactions}
	\item{irr}{irreversible reactions}
	\item{prev}{pseudoirreversible reactions}
	\item{frev}{full reversible reactions}
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}

\seealso{

	\code{\link{blocked_reactions}}\cr
	\code{\link{irr_reactions}}\cr
	\code{\link{pseudo_irrev_reactions}}\cr
	\code{\link{frev_reactions}}\cr
	\code{\link{createSparseMatrix}}\cr
	
	same, but with calculation of generating vectors:
	\code{\link{allReactiontypesWithCalc}}\cr
}
\examples{

	data("Ec_core")
	
	gv <- calcGeneratingVectorsFromModelorg(Ec_core,TRUE)

	allReactiontypes(model=Ec_core, gvectors=gv, zerosSet=FALSE)
	
	#faster:
	
	allReactiontypes(model=Ec_core, createSparseMatrix(gv), zerosSet=TRUE)
	
	
}
\keyword{ reactiontypes }
