\name{calcGeneratingVectorsFromModelorg}
\alias{calcGeneratingVectorsFromModelorg}
\title{
	double description run with data from modelorg
}
\description{
	calculates a set of generating vectors using \code{rcdd} of a metabolic network, represented by a \code{modelorg} object. the additional constraints for the irreversible reactions are set depending on \code{react_rev(model)}. if the S matrix contains a special reaction for the objectivefunctions in the flux balance analysis, there is a option to set this to zero. this function is found by checking \code{obj_coef(model)}.
}
\usage{
calcGeneratingVectorsFromModelorg(model = NULL,
				setObjectiveReactionToZero = FALSE)
}
\arguments{
  \item{model}{
  	a valid \code{modelorg} model
}
  \item{setObjectiveReactionToZero}{
  	is there a objective function to set to zero?
}
}
\value{
	V-representation of the steady state flux cone
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}
\seealso{
	\code{\link{calcGeneratingVectors}}\cr
}
\examples{
	data("Ec_core")
	calcGeneratingVectorsFromModelorg(Ec_core, TRUE)
}
\keyword{ rcdd }
