\name{createSparseMatrix}
\alias{createSparseMatrix}
\title{
matrix to sparsematrix conversion
}
\description{
in normal purpsose this function converts an outputmatrix of rcdd in a sparse matrix format to save main memory. duriung this conversation all nearly zero values are set to real zero. But working with a non-sparse matrix and nearly-to-zero-values set to zero is much faster. Hence is realSparse=FALSE as default.
}
\usage{
createSparseMatrix(gvectors = NULL, realSparse = FALSE)
}
\arguments{
  \item{gvectors}{ a matrix to convert}
  \item{realSparse}{if false, the matrix will be saved as normal matrix, but zeros will be set}
}
\note{
	if you want to use real sparse matrices, you have to load the package \code{Matrix}.
}
\details{
	values between +1E-10 and -1E-10 will be treated as zero.
}
\value{
	the same matrix in sparse format with a maximum number of zeros
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}
\examples{
	M <- matrix(1, ncol=5, nrow=5)
	M[1, ] <- 1E-10
	M[2, ] <- 1E-11
	createSparseMatrix(M)
	createSparseMatrix(M, TRUE)
}
\keyword{ sparse }
\keyword{ zero }% __ONLY ONE__ keyword per line
