\name{orderSymmetricReactionSets}
\alias{orderSymmetricReactionSets}
\title{
Summarize symmetric reactionsets
}
\description{
	with this function u can summarize pairs (i, j), which have a symetric relation, e.g. if i~j holds, j~i has to hold too.
}
\usage{
orderSymmetricReactionSets(A = NULL, sortSets = TRUE)
}
\arguments{
  \item{A}{
	a matrix with 2 colums, each line represents one (i, j) pair.
}
  \item{sortSets}{
	should each set be sorted?
}
}
\details{
}
\value{
	a \code{list} containing the reationsets.
}
\references{
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}
\note{
}

\seealso{
	\code{\link{orderDirectedReactionSets}}\cr
}
\examples{
	M <- matrix(c(1, 2, 1, 3, 1, 4, 2, 4, 4, 5), ncol=2, byrow=TRUE)
	
#		> M
#		     [,1] [,2]
#		[1,]    1    2
#		[2,]    1    3
#		[3,]    1    4
#		[4,]    2    4
#		[5,]    4    5
#		[6,]    6    9
	
	orderSymmetricReactionSets(M)
}

\keyword{ reactionsets }
