\name{pseudo_irrev_reactions}
\alias{pseudo_irrev_reactions}
\title{
	Pseudo irreversible reactions
}
\description{
	identifys reactions, which are full reversible but can due to other reactions only react in one direction.
}
\usage{
pseudo_irrev_reactions(gvectors = NULL, irr = NULL,
		model = NULL, blocked = NULL, zerosSet = FALSE)
}
\arguments{
  \item{gvectors}{
  	a set of generating vectors. either as \code{matrix} or \code{spMatrix}
}
  \item{irr}{
  	a set of irreversible reactions
}
  \item{model}{
  	a valid \code{modelorg} object
}
  \item{blocked}{
  	which reactions are blocked?
}
  \item{zerosSet}{
  	are nearly zero values set as \code{0}? if gvectors is created by \code{createSparseMatrix} this should be set as \code{TRUE}
}
}
\details{
}
\value{
	the set of pseudo irreversible reactions
}
\references{
	see \code{\link{sybilFCF}}
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}
\note{
	consider to use \code{allReactiontypes} or \code{allReactiontypesWithCalc}.
}

\seealso{

	\code{\link{blocked_reactions}}\cr
	\code{\link{irr_reactions}}\cr
	\code{\link{frev_reactions}}\cr
	\code{\link{createSparseMatrix}}\cr
	
	\code{\link{allReactiontypesWithCalc}}\cr
	\code{\link{allReactiontypes}}\cr
}
\keyword{ pseudo }
\keyword{ irreversible }
